using skyscraper5.Docsis;
using skyscraper5.Docsis.MacManagement;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Net.NetworkInformation;
using System.Text;
using System.Threading.Tasks;

namespace skyscraper8.Tests.ClassDependencies.DocsisTests
{
	internal class DocsisEventHandlerImpl : IDocsisEventHandler
	{
		public void OnCmtsTimestamp(PhysicalAddress source, uint timing)
		{
			throw new NotImplementedException();
		}

		public void OnDownstreamChannel(PhysicalAddress physicalAddress, MacDomainDescriptor.DownstreamActiveChannel downstreamActiveChannel)
		{
			throw new NotImplementedException();
		}

		public void OnLearnedIpFromMac(PhysicalAddress arpHeaderSenderHardwareAddress, IPAddress arpHeaderSenderProtocolAddress)
		{
			throw new NotImplementedException();
		}

		public void OnParticipantDetected(PhysicalAddress pa)
		{
			throw new NotImplementedException();
		}

		public void OnUpstreamChannel(UpstreamChannelDescriptor mmm)
		{
			throw new NotImplementedException();
		}
	}
}
